Index Page ektnam_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void ektnam_c ( SpiceInt     n,
                       SpiceInt     lenout,
                       SpiceChar  * table  )
#### Abstract
       Return the name of a specified, loaded table.
#### Required_Reading
       EK
#### Keywords
       EK
       FILES
#### Brief_I/O
       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       n          I   Index of table.
       lenout     I   Maximum table name length.
       table      O   Name of table.
#### Detailed_Input
       n              is the index of the table whose name is desired.
                      The value of n ranges from 0 to one less than the
                      number of loaded tables.

       lenout         is the maximum allowed table name length, including
                      space for the terminating null character.  Normally
                      the caller should allow enough room for
                      SPICE_EK_TSTRLN characters; this parameter is
                      declared in the header SpiceEK.h.
#### Detailed_Output
       table          is the name of the nth loaded table.  If table
                      is too small to accommodate the name, the name will
                      be truncated on the right.
#### Parameters
       None.
#### Exceptions
       1) If this routine is called when no files are loaded, the
          error SPICE(NOLOADEDFILES) is signaled.

       2) If the input n is out of range, the error SPICE(INVALDINDEX)
          is signaled.

       3) If the output string pointer is null, the error SPICE(NULLPOINTER)
          is signaled.

       4) If the output string has length less than two characters, it
          is too short to contain one character of output data plus a null
          terminator, so it cannot be passed to the underlying Fortran
          routine.  In this event, the error SPICE(STRINGTOOSHORT) is
          signaled.

       5) If the length of table (indicated by lenout) is at least two
          characters but not large enough to contain the output string,
          the output string will be truncated on the right.
#### Files
       The returned name is based on the currently loaded EK files.
#### Particulars
       This routine is a utility that provides the caller with the
       name of a specified loaded table.  The index of a table with
       a given name depends on the kernels loaded and possibly on
       the order in which the files have been loaded.
#### Examples
       1)  Dump the names of the loaded tables.

           #include "SpiceUsr.h"
              .
              .
              .
           ekntab_c ( &n );

           for ( i = 0;  i < n;  i++ )
           {
              ektnam_c ( i,      table );
              printf   ( "%s\n", table );
           }
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman   (JPL)
#### Version
       -CSPICE Version 1.0.1, 26-MAR-2003 (NJB)

           Fixed description of exception (5):  replaced "lenout-1"
           with "lenout."  Removed spurious word "clock" from string
           description.

       -CSPICE Version 1.0.0, 07-JAN-2002 (NJB)
#### Index_Entries
       return name of a loaded table
#### Link to routine ektnam_c source file ektnam_c.c

    Wed Jun  9 13:05:22 2010